Modify

Opened 9 months ago

Closed 6 weeks ago

Last modified 6 weeks ago

#19098 closed defect (fixed)

Unable to update plugin after crash of plugin

Reported by: Glassman Owned by: team
Priority: normal Milestone: 20.12
Component: Core Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Install latest version of JOSM
  2. download a selected area
  3. Select update plugins when prompted

What is the expected result?

Plugins get update

What happens instead?

a bunch of plugins are not available. See screenshot.

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-04-14 21:56:05 +0200 (Tue, 14 Apr 2020)
Build-Date:2020-04-15 01:30:44
Revision:16301
Relative:URL: ^/trunk

Identification: JOSM/1.5 (16301 en) Linux Fedora 31 (Workstation Edition)
Memory Usage: 6707 MB / 7282 MB (5210 MB allocated, but free)
Java version: 1.8.0_242-b08, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 3840x1080, :0.1 1920x1080
Maximum Screen Size: 3840x1080
Java package: java-1.8.0-openjdk:x86_64-1.8.0.242.b08
VM arguments: [-Djosm.home=<josm.pref>]
Dataset consistency test: No problems found

Plugins:
+ EasyPresets (1583691763)
+ ImportImagePlugin (35248)
+ Mapillary (1.5.21)
+ MicrosoftStreetside (35248)
+ OpenStreetCam (307)
+ OpeningHoursEditor (35414)
+ apache-commons (35362)
+ apache-http (35092)
+ auto_tools (73)
+ buildings_tools (35405)
+ ejml (35313)
+ geochat (35405)
+ geotools (35169)
+ javafx-unixoid (35375)
+ jaxb (35092)
+ jna (35092)
+ jts (35122)
+ log4j (35092)
+ measurement (35405)
+ opendata (35405)
+ osm-obj-info (56)
+ pt_assistant (2.1.10-79-gb14a159)
+ reltoolbox (35405)
+ reverter (35409)
+ tageditor (35258)
+ todo (30306)
+ turnlanes-tagging (283)
+ turnrestrictions (35405)
+ utilsplugin2 (35405)
+ wikipedia (1.1.3)

Tagging presets:
+ https://raw.githubusercontent.com/osmlab/name-suggestion-index/master/dist/name-suggestions.presets.xml
+ ${HOME}/Downloads/MikeN_Presets.zip
+ ${HOME}/Development/josm_sidewalk_presets/sidewalk_preset.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
+ ${HOME}/foo.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Kerbs&zip=1
- https://raw.githubusercontent.com/OpenSidewalks/OpenSidewalks-Schema/master/open_sidewalks.mapcss
+ ${HOME}/OSM/open_sidewalks2.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/AddressValidator&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransport&zip=1

Last errors/warnings:
- E: Skipping to the next rule, because of an error:
- E: org.openstreetmap.josm.gui.mappaint.mapcss.parsergen.ParseException: Encountered " <UINT> "5 "" at line 17, column 8.
- W: Initializing map style ${HOME}/OSM/open_sidewalks2.mapcss completed in 8 ms (1 errors, 0 warnings)
- E: Handled by bug report queue: org.openstreetmap.josm.plugins.PluginException: An error occurred in plugin MicrosoftStreetside. Cause: java.lang.reflect.InvocationTargetException. Cause: java.lang.UnsupportedClassVersionError: javafx/embed/swing/JFXPanel has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
- E: Handled by bug report queue: org.openstreetmap.josm.plugins.PluginException: An error occurred in plugin Mapillary. Cause: java.lang.reflect.InvocationTargetException. Cause: java.lang.UnsupportedClassVersionError: javafx/embed/swing/JFXPanel has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
- W: javax.imageio.IIOException: Inconsistent metadata read from stream
- W: javax.imageio.IIOException: Inconsistent metadata read from stream
- W: Warning - <html>JOSM could not find information about the following plugins:<ul><li>apache-commons</li><li>reltoolbox</li><li>geotools</li><li>tageditor</li><li>opendata</li><li>measurement</li><li>OpenStreetCam</li><li>jaxb</li><li>turnlanes-tagging</li><li>utilsplugin2</li><li>EasyPresets</li><li>turnrestrictions</li><li>wikipedia</li><li>jna</li><li>MicrosoftStreetside</li><li>log4j</li><li>auto_tools</li><li>jts</li><li>Mapillary</li><li>osm-obj-info</li><li>ejml</li><li>reverter</li><li>geochat</li><li>pt_assistant</li><li>todo</li><li>javafx-unixoid</li><li>ImportImagePlugin</li><li>OpeningHoursEditor</li><li>buildings_tools</li><li>apache-http</li></ul>The plugins are not going to be loaded.</html>


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (27) of main
org.openstreetmap.josm.plugins.PluginException: An error occurred in plugin MicrosoftStreetside
	at org.openstreetmap.josm.plugins.PluginProxy.handlePluginException(PluginProxy.java:60)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:71)
	at org.openstreetmap.josm.gui.MainPanel.updateContent(MainPanel.java:80)
	at org.openstreetmap.josm.gui.MainPanel$1.beforeFirstLayerAdded(MainPanel.java:157)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realAddLayer(MainLayerManager.java:281)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$addLayer$0(LayerManager.java:217)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:239)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:217)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$AbstractInternalTask.addNewLayerIfRequired(DownloadOsmTask.java:356)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$AbstractInternalTask.loadData(DownloadOsmTask.java:363)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.finish(DownloadOsmTask.java:509)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:301)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:109)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:190)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:235)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:233)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:233)
	at java.awt.Dialog.show(Dialog.java:1084)
	at java.awt.Component.show(Component.java:1671)
	at java.awt.Component.setVisible(Component.java:1623)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doBeginTask$3(PleaseWaitProgressMonitor.java:255)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doInEDT$0(PleaseWaitProgressMonitor.java:113)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:74)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:205)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Caused by: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:66)
	... 46 more
Caused by: java.lang.UnsupportedClassVersionError: javafx/embed/swing/JFXPanel has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:757)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
	at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:419)
	at org.openstreetmap.josm.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:73)
	at org.openstreetmap.josm.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:63)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:352)
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:757)
	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
	at java.net.URLClassLoader.defineClass(URLClassLoader.java:468)
	at java.net.URLClassLoader.access$100(URLClassLoader.java:74)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:369)
	at java.net.URLClassLoader$1.run(URLClassLoader.java:363)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:362)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:419)
	at org.openstreetmap.josm.plugins.PluginClassLoader.loadClass(PluginClassLoader.java:73)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:352)
	at org.openstreetmap.josm.plugins.streetside.gui.StreetsideViewerDialog.<init>(StreetsideViewerDialog.java:35)
	at org.openstreetmap.josm.plugins.streetside.gui.StreetsideViewerDialog.getInstance(StreetsideViewerDialog.java:46)
	at org.openstreetmap.josm.plugins.streetside.StreetsidePlugin.mapFrameInitialized(StreetsidePlugin.java:82)
	... 51 more

=== RUNNING THREADS ===
Thread: Weak reference cleaner (33) of main
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$147/914356853.run(Unknown Source)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-14 (66) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: Java2D Disposer (23) of system
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
sun.java2d.Disposer.run(Disposer.java:148)
java.lang.Thread.run(Thread.java:748)

Thread: Finalizer (3) of system
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:216)

Thread: ForkJoinPool.commonPool-worker-23 (51)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-16 (53) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: TMS-downloader-5 (104) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-21 (65) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-13 (57) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-8 (44) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: Timer-2 (119) of main
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
java.util.TimerThread.mainLoop(Timer.java:526)
java.util.TimerThread.run(Timer.java:505)

Thread: message-notifier-0 (92) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2078)
java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1093)
java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:809)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-9 (52) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-22 (43) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: TMS-downloader-13 (112) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-26 (47)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: DestroyJavaVM (94) of main

Thread: TMS-downloader-4 (103) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: Timer-1 (98) of main
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
java.util.TimerThread.mainLoop(Timer.java:526)
java.util.TimerThread.run(Timer.java:505)

Thread: TimerQueue (29) of system
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2078)
java.util.concurrent.DelayQueue.take(DelayQueue.java:223)
javax.swing.TimerQueue.run(TimerQueue.java:174)
java.lang.Thread.run(Thread.java:748)

Thread: AWT-XAWT (26) of system
sun.awt.X11.XToolkit.waitForEvents(Native Method)
sun.awt.X11.XToolkit.run(XToolkit.java:574)
sun.awt.X11.XToolkit.run(XToolkit.java:538)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-12 (111) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: Image Fetcher 0 (120)
java.lang.Object.wait(Native Method)
sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:147)
sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:200)
sun.awt.image.ImageFetcher.run(ImageFetcher.java:169)

Thread: RemoteControl HTTP Server (91) of main
java.net.PlainSocketImpl.socketAccept(Native Method)
java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:409)
java.net.ServerSocket.implAccept(ServerSocket.java:560)
java.net.ServerSocket.accept(ServerSocket.java:528)
org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: AWT-EventQueue-0 (27) of main
Stacktrace see above.

Thread: ForkJoinPool.commonPool-worker-18 (38) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-6 (58)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: Map Status Collector (121) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:434)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-25 (117)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-27 (55)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-19 (48) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: TMS-downloader-7 (106) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-9 (108) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-1 (45) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-4 (40) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: WeakCollectionCleaner (83) of main
java.lang.Object.wait(Native Method)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:144)
java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:165)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:65)

Thread: pool-2-thread-1 (86)
java.io.RandomAccessFile.seek0(Native Method)
java.io.RandomAccessFile.seek(RandomAccessFile.java:557)
javax.imageio.stream.FileCacheImageInputStream.readUntil(FileCacheImageInputStream.java:137)
javax.imageio.stream.FileCacheImageInputStream.read(FileCacheImageInputStream.java:160)
javax.imageio.stream.ImageInputStreamImpl.readUnsignedByte(ImageInputStreamImpl.java:220)
com.sun.imageio.plugins.gif.GIFImageReader.getCode(GIFImageReader.java:343)
com.sun.imageio.plugins.gif.GIFImageReader.read(GIFImageReader.java:950)
org.openstreetmap.josm.tools.ImageProvider.read(ImageProvider.java:1881)
org.openstreetmap.josm.tools.ImageProvider.read(ImageProvider.java:1830)
org.openstreetmap.josm.tools.ImageProvider.getIfAvailableLocalURL(ImageProvider.java:1176)
org.openstreetmap.josm.tools.ImageProvider.getIfAvailableImpl(ImageProvider.java:946)
org.openstreetmap.josm.tools.ImageProvider.getResource(ImageProvider.java:699)
org.openstreetmap.josm.tools.ImageProvider.get(ImageProvider.java:664)
org.openstreetmap.josm.tools.ImageProvider.get(ImageProvider.java:810)
org.openstreetmap.josm.plugins.openstreetcam.gui.DetectionIconFactory.loadIcon(DetectionIconFactory.java:53)
org.openstreetmap.josm.plugins.openstreetcam.gui.DetectionIconFactory.lambda$getIcon$0(DetectionIconFactory.java:45)
org.openstreetmap.josm.plugins.openstreetcam.gui.DetectionIconFactory$$Lambda$425/1333300259.apply(Unknown Source)
java.util.concurrent.ConcurrentHashMap.computeIfAbsent(ConcurrentHashMap.java:1660)
org.openstreetmap.josm.plugins.openstreetcam.gui.DetectionIconFactory.getIcon(DetectionIconFactory.java:44)
org.openstreetmap.josm.plugins.openstreetcam.gui.details.filter.DetectionTypeContent.lambda$new$0(DetectionTypeContent.java:36)
org.openstreetmap.josm.plugins.openstreetcam.gui.details.filter.DetectionTypeContent$$Lambda$424/1616259116.accept(Unknown Source)
java.util.ArrayList.forEach(ArrayList.java:1257)
org.openstreetmap.josm.plugins.openstreetcam.gui.details.filter.DetectionTypeContent.<init>(DetectionTypeContent.java:36)
org.openstreetmap.josm.plugins.openstreetcam.gui.details.filter.DetectionTypeContent.<clinit>(DetectionTypeContent.java:27)
org.openstreetmap.josm.plugins.openstreetcam.OpenStreetCamPlugin.lambda$new$0(OpenStreetCamPlugin.java:82)
org.openstreetmap.josm.plugins.openstreetcam.OpenStreetCamPlugin$$Lambda$405/1322484262.run(Unknown Source)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: RemoteControl HTTP Server (90) of main
java.net.PlainSocketImpl.socketAccept(Native Method)
java.net.AbstractPlainSocketImpl.accept(AbstractPlainSocketImpl.java:409)
java.net.ServerSocket.implAccept(ServerSocket.java:560)
java.net.ServerSocket.accept(ServerSocket.java:528)
org.openstreetmap.josm.io.remotecontrol.RemoteControlHttpServer.run(RemoteControlHttpServer.java:104)

Thread: ForkJoinPool.commonPool-worker-15 (41) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-3 (63)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: main-worker-0 (114) of main
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
java.awt.EventQueue.invokeAndWait(EventQueue.java:1343)
java.awt.EventQueue.invokeAndWait(EventQueue.java:1324)
org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:99)
org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
java.util.concurrent.FutureTask.run(FutureTask.java:266)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-20 (56) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-5 (49) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: Thread-3 (31) of main
sun.nio.fs.LinuxWatchService.poll(Native Method)
sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-6 (105) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-17 (61)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-30 (50)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-24 (60) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: File Watcher (32) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:680)
sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
org.openstreetmap.josm.io.FileWatcher$$Lambda$116/843467284.run(Unknown Source)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-14 (113) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: Timer-0 (95) of main
java.lang.Object.wait(Native Method)
java.util.TimerThread.mainLoop(Timer.java:552)
java.util.TimerThread.run(Timer.java:505)

Thread: ForkJoinPool.commonPool-worker-28 (118)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-10 (62) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: AWT-Shutdown (28) of system
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:295)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-0 (99) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-1 (100) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: JCS-ElementEventQueue-Thread-5 (81) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-2 (101) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-8 (107) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: TMS-downloader-3 (102) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-0 (116) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-31 (59)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: ForkJoinPool.commonPool-worker-7 (67)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: TMS-downloader-10 (109) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: image-fetcher-0 (76) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: changeset-updater-0 (93) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:215)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2078)
java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1093)
java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:809)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-29 (42) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: Reference Handler (2) of system
java.lang.Object.wait(Native Method)
java.lang.Object.wait(Object.java:502)
java.lang.ref.Reference.tryHandlePending(Reference.java:191)
java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)

Thread: Signal Dispatcher (4) of system

Thread: TMS-downloader-11 (110) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:492)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:109)
org.openstreetmap.josm.data.cache.HostLimitQueue.take(HostLimitQueue.java:29)
java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1074)
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1134)
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
java.lang.Thread.run(Thread.java:748)

Thread: ForkJoinPool.commonPool-worker-12 (46) of main
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Thread: GT authority factory disposer (82) of main
java.lang.Object.wait(Native Method)
java.util.TimerThread.mainLoop(Timer.java:552)
java.util.TimerThread.run(Timer.java:505)

Thread: ForkJoinPool.commonPool-worker-11 (39)
sun.misc.Unsafe.park(Native Method)
java.util.concurrent.ForkJoinPool.awaitWork(ForkJoinPool.java:1824)
java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1693)
java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:157)

Attachments (6)

Screenshot from 2020-04-15 17-18-43.png (28.3 KB) - added by Glassman 9 months ago.
plugins not loading
19098.patch (5.3 KB) - added by GerdP 3 months ago.
fixes update of plugin after crash
19098-try-revert.patch (4.9 KB) - added by GerdP 6 weeks ago.
don't commit!
19098-show-plugin-prefs-dialog.patch (1.6 KB) - added by GerdP 6 weeks ago.
no-update.PNG (13.8 KB) - added by GerdP 6 weeks ago.
dialog without update option
19098-real-fix.patch (6.1 KB) - added by GerdP 6 weeks ago.

Download all attachments as: .zip

Change History (27)

Changed 9 months ago by Glassman

plugins not loading

comment:1 Changed 9 months ago by Glassman

removing the Microsoft streetside plugin fix the message.

comment:2 Changed 9 months ago by stoecker

Component: CorePlugin MicrosoftStreetside
Owner: changed from team to vodryc

comment:3 Changed 9 months ago by taylor.smock

@Glassman: Mapillary 1.5.21 may also have the same problem. I've got a workaround (since I'm only using JavaFX for nice looking date pickers). I'll probably be releasing another version of Mapillary in a week or two, which will try to use JavaFX, and fall back to a text-only date picker if it cannot.

You do have some alternatives:

1) Use OpenJDK 11 (sudo dnf install java-11-openjdk). If you use this one, you may want to change the default Java version (sudo update-alternatives --config java)
2) Install OpenJFX (sudo dnf install openjfx)

Are you using an automatically updating version? Or the one from Fedora's repositories? Or are you manually running a jar file?

comment:4 Changed 9 months ago by Glassman

I'm running all openjdk. java-11-openjdk.x86_64,java-1.8.0-openjdk.x86_64, etc. All from Fedora repositories. This is a new system. My previous system died. In that I ran both Oracle and OpenJDK java. Up until recently I think it Geoserver that would only work with Oracle's version. That's since changed so I went with just openjdk which makes life much simplier.

I don't have OpenJFX installed. Is that needed by Streetside and Mapillary?

comment:5 Changed 9 months ago by taylor.smock

JavaFX is definitely needed for Streetside (its used by their 360 degree image viewer).

Mapillary, not so much. Like I said, I'm only using it for date pickers (for filtering), and I've got a version (in testing) that fixes that.

If you do not mind being a victim test subject, you can download the test jar for Mapillary here: https://send.firefox.com/download/f4cef8a24d6e1359/#sbzfYNhKFSm6wkI7PWNJFg . (NOTE: link will be dead after 50 total downloads, or one week, whichever comes first)

I don't think there are any new bugs in that .jar file, but if you do encounter bugs and report them (with regards to the Mapillary plugin), please cc me in the bug report.

There are some other features in testing in that jar file, and it would be a good idea to not get used to them (the next release should have them, but not necessarily in that configuration).

comment:6 Changed 9 months ago by Glassman

Question on the Mapillary-dev.jar - it just gets installed into my josm plugin folder - correct? Loading JOSM causes a warning about the plugin needing updating. I've got it set to ignore. JOSM reports it as version 1.5.21.

If in the unlikely event that I find a bug - where do I report it? Is there a github issues page?

comment:7 Changed 9 months ago by taylor.smock

It does get put in the JOSM plugin folder. You may have to remove the Mapillary.jar though.

If you do find a bug, there is a github repository here: https://github.com/JOSM/Mapillary .

If you have any other questions, to avoid spamming this ticket with unrelated issues, you can contact me on OSM/JOSM IRC or Slack (I use vorpalblade77 or vorpalblade77-kaart, depending upon the time of day).

Changed 3 months ago by GerdP

Attachment: 19098.patch added

fixes update of plugin after crash

comment:8 Changed 3 months ago by GerdP

See also #19886.

comment:9 Changed 3 months ago by GerdP

Milestone: 20.10
Summary: Unable to update pluginsUnable to update plugin after crash of plugin

comment:10 Changed 3 months ago by simon04

Component: Plugin MicrosoftStreetsideCore
Owner: changed from vodryc to team

comment:11 Changed 3 months ago by GerdP

@simon04: Do you think the patch is OK?

comment:12 Changed 3 months ago by simon04

I think we're losing the return plugins now executed inside MainApplication.worker, i.e., updatePlugins is always returning Collections.emptyList

Would the following change be sufficient?

  • src/org/openstreetmap/josm/plugins/PluginHandler.java

    diff --git a/src/org/openstreetmap/josm/plugins/PluginHandler.java b/src/org/openstreetmap/josm/plugins/PluginHandler.java
    index 06d8a3814..8d3165d9c 100644
    a b private static void alertFailedPluginUpdate(Component parent, Collection<PluginI 
    11221122                    monitor.createSubTaskMonitor(1, false),
    11231123                    Preferences.main().getOnlinePluginSites(), displayErrMsg
    11241124            );
    1125             task1.run();
     1125            GuiHelper.runInEDTAndWait(task1);
    11261126            List<PluginInformation> allPlugins = task1.getAvailablePlugins();
    11271127
    11281128            try {

comment:13 Changed 3 months ago by GerdP

I think I tried that first and it did not work.

comment:14 Changed 3 months ago by simon04

Err, yes, org.openstreetmap.josm.gui.PleaseWaitRunnable#run is doing exactly the opposite as org.openstreetmap.josm.gui.util.GuiHelper#runInEDTAndWait

comment:15 Changed 3 months ago by GerdP

I have no idea how to fix this properly. Whatever I tried so far I ended up with locked tasks or empty lists. I am not even sure what should happen in updateOrdisablePluginAfterException() (esp. in what order this should happen). My understanding is this:

  • plugin throws exception
  • JOSM creates bug report using the currently installed plugin version
  • JOSM checks if current version of the plugin is up to date
  • if yes, JOSM should not offer to update (maybe disable the update button)
  • if no and user presses update: What's supposed to happen?
  • I guess we want to show the bug report no matter what the user did with the popup dialog?

The code in PluginPreference seems to work fine. Maybe we can use that instead?

comment:16 Changed 2 months ago by Don-vip

Milestone: 20.10

Changed 6 weeks ago by GerdP

Attachment: 19098-try-revert.patch added

don't commit!

comment:17 Changed 6 weeks ago by GerdP

I tried to revert the changes from r8776 with [attchment:19098-try-revert.patch] but that also doesn't work.
After a (forced) crash in a plugin I see this in the log:

2020-12-06 16:09:12.836 INFO: Update plugins - <html>An unexpected exception occurred that may have come from the 'buildings_tools' plugin.<br>According to the information within the plugin, the author is Upliner.<br>Try updating to the newest version of this plugin before reporting a bug.</html>
2020-12-06 16:09:13.937 FINE: 
2020-12-06 16:09:13.939 FINE: Download plugin list...
2020-12-06 16:09:13.940 FINE: Processing plugin list from site 'https://josm.openstreetmap.de/pluginicons'
2020-12-06 16:09:13.940 FINE: 
2020-12-06 16:09:13.940 FINE: Downloading plugin list from 'https://josm.openstreetmap.de/pluginicons'
2020-12-06 16:09:13.940 FINE: Contacting Server...
2020-12-06 16:09:13.940 FINE: REQUEST HEADERS: {Accept=*/*, Accept-Encoding=gzip, deflate}
2020-12-06 16:09:14.127 INFO: GET https://josm.openstreetmap.de/pluginicons?plugins=ColumbusCSV,buildings_tools,o5m,pbf,poly,reltoolbox,reverter,undelete,utilsplugin2 -> HTTP/1.1 200 (187 ms)
2020-12-06 16:09:14.127 FINE: RESPONSE HEADERS: {Transfer-Encoding=[chunked], Keep-Alive=[timeout=5, max=100], null=[HTTP/1.1 200 OK], Strict-Transport-Security=[max-age=16070400; includeSubDomains], Server=[Apache/2.4.29 (Ubuntu)], Connection=[Keep-Alive], Content-Encoding=[gzip], Vary=[Accept-Encoding], Last-Modified=[Sun, 06 Dec 2020 02:01:56 GMT], X-Clacks-Overhead=[GNU Terry Pratchett], Date=[Sun, 06 Dec 2020 15:09:16 GMT], Content-Type=[text/plain;charset=utf-8]}
2020-12-06 16:09:14.129 FINE: Downloading data...
2020-12-06 16:09:14.675 FINE: Writing plugin list to local cache 'C:\Users\Gerd\AppData\Roaming\JOSM\plugins\site-josm.openstreetmap.de-_pluginicons.txt'
2020-12-06 16:09:14.692 FINE: Parsing plugin list from site 'https://josm.openstreetmap.de/pluginicons%<?plugins=>'

and the program gets to

ReadRemotePluginInformationTask(PleaseWaitRunnable).doRealRun() line: 99	

but never back. The line in PleaseWaitRunnable is:

  EventQueue.invokeAndWait(this::finish);

I assume that there is some unhealthy combination of thread creation and monitor use, but I have no clue how to find out what's wrong :(

So, my next try is to simply disable the code that doesn't work since r8776.

Changed 6 weeks ago by GerdP

Changed 6 weeks ago by GerdP

Attachment: no-update.PNG added

dialog without update option

comment:18 Changed 6 weeks ago by GerdP

With 19098-show-plugin-prefs-dialog.patch the button "Update Plugins" simply shows the preferences dialog for plugins. We would probably need a trick to automagically press "Update Plugins" to get what we want.
Anyway, it's probably to confusing to show the Report Bug window after that. My thinking would be that the update caused another bug

Easiest change would be to remove the update button:
dialog without update option

Changed 6 weeks ago by GerdP

Attachment: 19098-real-fix.patch added

comment:19 Changed 6 weeks ago by GerdP

Milestone: 20.12

Heureca!
19098-real-fix.patch reverts r8776 and moves one line in BugReportDialog so that PluginHandler.updateOrdisablePluginAfterException(e) is not executed with GuiHelper.runInEDTAndWaitAndReturn().

This works fine with my test scenario. Will now test other things like update on start.

comment:20 Changed 6 weeks ago by GerdP

Resolution: fixed
Status: newclosed

In 17392/josm:

fix #19098: Unable to update plugin after crash of plugin

  • wait for completion of threads
  • don't start PluginHandler.updateOrdisablePluginAfterException(e) in EDT

tested with old buildings_tool.jar version 34113 which causes an immediate crash when a new data layer is created.
TODO: Why didn't any unit test find this obvious bug? Seems we are mocking too much?

comment:21 Changed 6 weeks ago by GerdP

In 17395/josm:

see #19098: Unable to update plugin after crash of plugin

  • restore and document old behaviour to return null in case of errors in public method loadLocallyAvailablePluginInformation()

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.